Google Maps, My Maps, YouTube, Androidify, Slides, Music Updated–Here’s What’s New

In the last few weeks, Google has been … more

SuperSU BETA: Root Android Lollipop on Stock Kernel

Up until now, if you wanted to get root on Android 5.0, you needed to flash a modified … more

Android App Review: Get Amaze with Material Design – XDA TV

Material Design is all the buzz in the Android world right now. Android 5.0 … more

Small But Eternal: HTC Explorer Receives Unofficial CM12

When HTC officially announced the HTC Explorer, they most likely weren’t … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[CAB] Install wm6.5 widget engine

OP Themuzz

18th August 2009, 03:53 PM   |  #1  
OP Senior Member
Thanks Meter: 387
 
731 posts
Join Date:Joined: Nov 2007
With the directions from slayer69 and the package created by twopumpchump I made a cab which installs the widget engine to your mobile.

First of all, I cannot test it fully since I only have a phone with wm6.5 flashed on it, but the time I tried it, it worked. So if you try this, it's on your one risk.

So this works on WM6.5 phone where no widget engine has been cooked in, but it could work on other WM versions, so if you have tried it on another versions, post it here.

Afterwards do a softreset and try a widget. For example one I created which can be found here:

Streams-T Light

Download:
add_widget_engine_v2.cab

Note, if you do have the widget engine but you can't open .wgt or .widget files, just use this cab: enable_widgets_wm6.5.cab. If the file \Windows\wmwidgetinstaller.exe does not exist then you can try the cab with the whole widget engine.
Last edited by Themuzz; 18th August 2009 at 03:55 PM. Reason: typo
18th August 2009, 11:17 PM   |  #2  
Martinhdk's Avatar
Senior Member
Thanks Meter: 31
 
820 posts
Join Date:Joined: Mar 2007
Nice but the widget gives me an error; "Error update the software management database"

?

Btw - its on a WM 6.1 - Topaz
18th August 2009, 11:25 PM   |  #3  
krazy_about_technology's Avatar
Recognized Developer
Flag Mumbai
Thanks Meter: 62
 
2,200 posts
Join Date:Joined: Nov 2008
Donate to Me
More
Same here. Although i didn't tried this cab, but i cooked IE 6 with Browsingie and browsingie_lang_0409 folder along with the Widget Packages from from Wm 6.5 build 23016 in my WM 6.1 21054 ROM. Widgets gave the same error while installing. I guess there is some registry hive or a file based metabase which tracks installed widgets/software. This is not setup as in 6.5 and hence this error.
I suspect that this metabase is same as used by the standard uninstaller control panel applet. I guess the installer executable that installs cabs has been changed a bit in 6.5.
18th August 2009, 11:26 PM   |  #4  
krazy_about_technology's Avatar
Recognized Developer
Flag Mumbai
Thanks Meter: 62
 
2,200 posts
Join Date:Joined: Nov 2008
Donate to Me
More
Same here. Although i didn't tried this cab, but i cooked IE 6 with Browsingie and browsingie_lang_0409 folder along with the Widget Packages from from Wm 6.5 build 23016 in my WM 6.1 21054 ROM. Widgets gave the same error while installing. I guess there is some registry hive or a file based metabase which tracks installed widgets/software. This is not setup as in 6.5 and hence this error.
I suspect that this metabase is same as used by the standard uninstaller control panel applet. I guess the installer executable that installs cabs has been changed a bit in 6.5.
19th August 2009, 04:10 AM   |  #5  
lioryte's Avatar
Senior Member
Flag Miami
Thanks Meter: 174
 
681 posts
Join Date:Joined: Dec 2008
Donate to Me
More
Tested and working on i910 Base/lite. Thanks
20th August 2009, 10:25 AM   |  #6  
Junior Member
Thanks Meter: 0
 
16 posts
Join Date:Joined: Feb 2009
Quote:
Originally Posted by Martinhdk

Nice but the widget gives me an error; "Error update the software management database"

?

Btw - its on a WM 6.1 - Topaz


I get exactly the same problem here!
and it's on a WM 6.1 - DUSK ; Manila 2.5
21st August 2009, 07:32 PM   |  #7  
demonlordoftheround's Avatar
Senior Member
Flag Miami, Florida
Thanks Meter: 14
 
183 posts
Join Date:Joined: May 2008
More
Installed the engine cab AND the enable cab and widgets are working on my Titan with WM 6.5.
21st August 2009, 09:44 PM   |  #8  
Member
Flag Brighton
Thanks Meter: 0
 
52 posts
Join Date:Joined: Dec 2008
More
Hmmmm, sounds interesting.
I am tempted to try this on my Topaz HTC Stock ROM.
It probably won't work but it's worth a try
I'll let you guys know if it works (or if it doesn't )
21st August 2009, 09:57 PM   |  #9  
Member
Flag Brighton
Thanks Meter: 0
 
52 posts
Join Date:Joined: Dec 2008
More
Yep it's a fail!

It came up with the same message as Martinhdk.

Oh well.
22nd August 2009, 05:04 AM   |  #10  
Jokes On You's Avatar
Senior Member
Thanks Meter: 1
 
514 posts
Join Date:Joined: Sep 2008
Quote:
Originally Posted by ragingbull

Yep it's a fail!

It came up with the same message as Martinhdk.

Oh well.

yup same here. All my hopes are dashed

Post Reply Subscribe to Thread

Tags
widget engine, widgets, wm6.5
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes